You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@poi.apache.org by ce...@apache.org on 2016/12/11 20:57:49 UTC

svn commit: r1773630 - /poi/trunk/tocsv.sh

Author: centic
Date: Sun Dec 11 20:57:49 2016
New Revision: 1773630

URL: http://svn.apache.org/viewvc?rev=1773630&view=rev
Log:
Add script to call ToCSV

Added:
    poi/trunk/tocsv.sh   (with props)

Added: poi/trunk/tocsv.sh
URL: http://svn.apache.org/viewvc/poi/trunk/tocsv.sh?rev=1773630&view=auto
==============================================================================
--- poi/trunk/tocsv.sh (added)
+++ poi/trunk/tocsv.sh Sun Dec 11 20:57:49 2016
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# find jar-file with highest version number
+for i in `ls build/dist/poi-*.jar | grep -v -- "-sources" | grep -v -- "-excelant" | grep -v -- "-scratchpad" | grep -v -- "-javadoc"`;do
+	CP=$i:$CP
+done
+
+for i in `ls ooxml-lib/*.jar | grep -v -- "xmlbeans-2.3.0.jar"`;do
+	CP=$i:$CP
+done
+
+if [ "$CP" = "" ]
+then
+	echo Did not find jar files in directory build/dist, please run target "jar"
+	exit 1
+fi
+
+echo Using jar $CP
+
+java -cp $CP org.apache.poi.ss.examples.ToCSV "$@"

Propchange: poi/trunk/tocsv.sh
------------------------------------------------------------------------------
    svn:executable = *



---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@poi.apache.org
For additional commands, e-mail: commits-help@poi.apache.org